<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{24B8A3FB-7929-4D81-8077-BFD24ADA8F40}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>StreamBuddy.PluginInterface</RootNamespace>
    <AssemblyName>StreamBuddy.PluginInterface</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Commands\CommandAttributes.cs" />
    <Compile Include="Commands\ICommandManager.cs" />
    <Compile Include="DB\IValueStore.cs" />
    <Compile Include="DB\StreamValue.cs" />
    <Compile Include="DB\UserValue.cs" />
    <Compile Include="Features\IFeature.cs" />
    <Compile Include="Features\IFeatureManager.cs" />
    <Compile Include="INickHandler.cs" />
    <Compile Include="IPlugin.cs" />
    <Compile Include="IPluginService.cs" />
    <Compile Include="IRC\IIRCConnection.cs" />
    <Compile Include="IRC\MessagePriority.cs" />
    <Compile Include="IStream.cs" />
    <Compile Include="SQLite\SQLite.cs" />
    <Compile Include="Users\IUser.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Users\UserRank.cs" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>